Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226248 - Merge Review: perl-Crypt-SSLeay
Summary: Merge Review: perl-Crypt-SSLeay
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:34 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 10:34:24 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:34:36 UTC
Fedora Merge Review: perl-Crypt-SSLeay

http://cvs.fedora.redhat.com/viewcvs/devel/perl-Crypt-SSLeay/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-22 10:05:59 UTC
1) 1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 2:5.8.0-61 
2) defattr usage should be defattr(-,root,root,-)
3) make test output is
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00-basic......ok
        2/12 skipped: Test::Pod not installed on this system
t/01-connect....ok
        7/8 skipped: nothing listening on localhost:443
t/02-live.......# config on linux
# ssl OpenSSL 0.9.8 in /usr
# lib -L/usr/lib -lssl -lcrypto -lgcc
# inc -I/usr/include/openssl
# cc gcc
ok
        1/4 skipped: Cannot load prerequisite modules LWP::UserAgent HTTP::Request
All tests successful, 10 subtests skipped.
==> all test should be successful



Comment 2 Robin Norwood 2007-10-25 18:08:27 UTC
1) fixed
2) fixed
3) Added BR for Test::Pod and LWP::UserAgent...

Also, updated to the latest upstream version (0.57), and applied a patch to
prevent the Makefile generation step from prompting for user input, and changed
parameters to Makefile.PL to prevent prompting.

Patch sent upstream here: http://rt.cpan.org/Public/Bug/Display.html?id=30268

New version is perl-Crypt-SSLeay-0.57-1.fc9

Comment 3 Parag AN(पराग) 2007-10-26 05:46:10 UTC
why not to use standard buildroot tag?
you used
BuildRoot:     %{_tmppath}/perl-Crypt-SSLeay-buildroot/


Comment 4 Robin Norwood 2007-10-26 20:32:21 UTC
Should be fixed in: perl-Crypt-SSLeay-0.57-2.fc9

Comment 5 Parag AN(पराग) 2007-10-27 01:47:07 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
82264180f5911dce33dbd85e24b1f36b  Crypt-SSLeay-0.57.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
- BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00-basic......ok
t/01-connect....ok        7/8 skipped: nothing listening on localhost:443
t/02-live.......# config on linux# ssl OpenSSL 0.9.8 in /usr# lib -L/usr/lib
-lssl -lcrypto -lgcc
# inc -I/usr/include/openssl
# cc gcc
ok        1/4 skipped: Network tests disabled
All tests successful, 8 subtests skipped.
Files=3, Tests=24,  1 wallclock secs ( 0.54 cusr +  0.05 csys =  0.59 CPU)
+ Package  perl-Crypt-SSLeay-0.57-2.fc8 ->
  Provides: SSLeay.so perl(Crypt::SSLeay) = 0.57 perl(Crypt::SSLeay::CTX)
perl(Crypt::SSLeay::Conn) perl(Crypt::SSLeay::Err)
perl(Crypt::SSLeay::MainContext) perl(Crypt::SSLeay::X509) perl(Net::SSL) = 2.84
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4)
libcrypto.so.6 libssl.so.6 perl(:MODULE_COMPAT_5.8.8) perl(Carp)
perl(Crypt::SSLeay) perl(Crypt::SSLeay::CTX) perl(Crypt::SSLeay::X509)
perl(IO::Socket) perl(MIME::Base64) perl(Socket) perl(strict) perl(vars)
rtld(GNU_HASH)


===> Remove unnecessary BR: pkgconfig.
     Sorry missed that before.


Comment 6 Robin Norwood 2007-10-27 04:10:32 UTC
No problem.  Fixed in CVS.

New version: devel:perl-Crypt-SSLeay-0.57-3.fc9

Comment 7 Parag AN(पराग) 2007-10-27 04:19:09 UTC
APPROVED.

Comment 8 Parag AN(पराग) 2007-11-11 07:04:22 UTC
Can we CLOSE this review if package is already built and in rawhide?


Note You need to log in before you can comment on or make changes to this bug.